#!/bin/bash

# set -x

uid=10
plist=patched/AppleBacklight.kext/Contents/Info.plist

ioreg -n AppleBacklightDisplay -arxw0>/tmp/org.rehabman.display.plist
id=`/usr/libexec/PlistBuddy -c "Print :0:DisplayProductID" /tmp/org.rehabman.display.plist`
id=`printf "F%02dT%04x" $uid $id`
sed "s/F99T1234/$id/g" 4x40s_Backlight.plist >/tmp/org.rehabman.merge.plist
if [ -d patched ]; then rm -R patched; fi
mkdir patched
cp -R vanilla/AppleBacklight.kext patched
/usr/libexec/PlistBuddy -c "Copy ':IOKitPersonalities:AppleIntelPanelA:ApplePanels' ':ApplePanelsBackup'" $plist
/usr/libexec/PlistBuddy -c "Delete ':IOKitPersonalities:AppleIntelPanelA:ApplePanels'" $plist
/usr/libexec/PlistBuddy -c "Merge /tmp/org.rehabman.merge.plist ':IOKitPersonalities:AppleIntelPanelA'" $plist
/usr/libexec/PlistBuddy -c "Copy ':ApplePanelsBackup:Default' ':IOKitPersonalities:AppleIntelPanelA:ApplePanels:Default'" $plist
/usr/libexec/PlistBuddy -c "Delete ':ApplePanelsBackup'" $plist

echo "Patched AppleBacklight.kext for DisplayID: " $id